package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * CopySiteTemplateOpenApiResultVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class CopySiteTemplateOpenApiResultVo   {
  @JsonProperty("successNum")
  private Integer successNum;

  @JsonProperty("failNum")
  private Integer failNum;

  @JsonProperty("errorCustomers")
  @Valid
  private List<SiteCopyResultVo> errorCustomers = null;

  public CopySiteTemplateOpenApiResultVo successNum(Integer successNum) {
    this.successNum = successNum;
    return this;
  }

  /**
   * Number of successful copies.
   * @return successNum
  */
  @ApiModelProperty(value = "Number of successful copies.")


  public Integer getSuccessNum() {
    return successNum;
  }

  public void setSuccessNum(Integer successNum) {
    this.successNum = successNum;
  }

  public CopySiteTemplateOpenApiResultVo failNum(Integer failNum) {
    this.failNum = failNum;
    return this;
  }

  /**
   * Number of failed copies.
   * @return failNum
  */
  @ApiModelProperty(value = "Number of failed copies.")


  public Integer getFailNum() {
    return failNum;
  }

  public void setFailNum(Integer failNum) {
    this.failNum = failNum;
  }

  public CopySiteTemplateOpenApiResultVo errorCustomers(List<SiteCopyResultVo> errorCustomers) {
    this.errorCustomers = errorCustomers;
    return this;
  }

  public CopySiteTemplateOpenApiResultVo addErrorCustomersItem(SiteCopyResultVo errorCustomersItem) {
    if (this.errorCustomers == null) {
      this.errorCustomers = new ArrayList<>();
    }
    this.errorCustomers.add(errorCustomersItem);
    return this;
  }

  /**
   * Copy failed customer related information.
   * @return errorCustomers
  */
  @ApiModelProperty(value = "Copy failed customer related information.")

  @Valid

  public List<SiteCopyResultVo> getErrorCustomers() {
    return errorCustomers;
  }

  public void setErrorCustomers(List<SiteCopyResultVo> errorCustomers) {
    this.errorCustomers = errorCustomers;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CopySiteTemplateOpenApiResultVo copySiteTemplateOpenApiResultVo = (CopySiteTemplateOpenApiResultVo) o;
    return Objects.equals(this.successNum, copySiteTemplateOpenApiResultVo.successNum) &&
        Objects.equals(this.failNum, copySiteTemplateOpenApiResultVo.failNum) &&
        Objects.equals(this.errorCustomers, copySiteTemplateOpenApiResultVo.errorCustomers);
  }

  @Override
  public int hashCode() {
    return Objects.hash(successNum, failNum, errorCustomers);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CopySiteTemplateOpenApiResultVo {\n");
    
    sb.append("    successNum: ").append(toIndentedString(successNum)).append("\n");
    sb.append("    failNum: ").append(toIndentedString(failNum)).append("\n");
    sb.append("    errorCustomers: ").append(toIndentedString(errorCustomers)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

